cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CSP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CSP

- All Implemented Interfaces:
    ISegment

      public class CSP
      extends Segment

  CSP - Clinical Study Phase Segment.

  The CSP segment contains information on a patient's status for a particular phase of the study. This segment is optional and is useful when a study has different evaluation intervals within it.

  Represents an HL7 CSP message segment. This segment has the following fields:

  CSP-1: Study Phase Identifier (CWE)Required
  CSP-2: Date/time Study Phase Began (DTM)Required
  CSP-3: Date/time Study Phase Ended (DTM)Optional
  CSP-4: Study Phase Evaluability (CWE)Conditional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSP()` Constructs the CSP segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getDatetimeStudyPhaseBegan()` Retrieves the Date time Study Phase Began.
    `DTM` | `getDatetimeStudyPhaseEnded()` Retrieves the Date time Study Phase Ended.
    `CWE` | `getStudyPhaseEvaluability()` Retrieves the Study Phase Evaluability.
    `CWE` | `getStudyPhaseIdentifier()` Retrieves the Study Phase Identifier.
    `void` | `setDatetimeStudyPhaseBegan(DTM objdatetimeStudyPhaseBegan)` Set the Date time Study Phase Began.
    `void` | `setDatetimeStudyPhaseBegan(java.lang.String strTime)` Set the Date time Study Phase Began.
    `void` | `setDatetimeStudyPhaseEnded(DTM objdatetimeStudyPhaseEnded)` Set the Date time Study Phase Ended.
    `void` | `setDatetimeStudyPhaseEnded(java.lang.String strTime)` Set the Date time Study Phase Ended.
    `void` | `setStudyPhaseEvaluability(CWE objstudyPhaseEvaluability)` Set the Study Phase Evaluability.
    `void` | `setStudyPhaseEvaluability(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Study Phase Evaluability.
    `void` | `setStudyPhaseIdentifier(CWE objstudyPhaseIdentifier)` Set the Study Phase Identifier.
    `void` | `setStudyPhaseIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Study Phase Identifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSP

          public CSP()

      Constructs the CSP segment.

  - ### Method Detail

    - #### getDatetimeStudyPhaseBegan

          public DTM getDatetimeStudyPhaseBegan()

      Retrieves the Date time Study Phase Began. This field contains the date the patient began this phase interval. The time is optional.
      Returns:
        DTM - datetimeStudyPhaseBegan

    - #### getDatetimeStudyPhaseEnded

          public DTM getDatetimeStudyPhaseEnded()

      Retrieves the Date time Study Phase Ended. This field contains the date the patient ended this phase interval.
      Returns:
        DTM - datetimeStudyPhaseEnded

    - #### getStudyPhaseEvaluability

          public CWE getStudyPhaseEvaluability()

      Retrieves the Study Phase Evaluability. This field contains the disposition of the patient's data for this phase interval for quality control and data analysis purposes.
      Returns:
        CWE - studyPhaseEvaluability

    - #### getStudyPhaseIdentifier

          public CWE getStudyPhaseIdentifier()

      Retrieves the Study Phase Identifier. This field identify the phase of the study that a patient has entered.
      Returns:
        CWE - studyPhaseIdentifier

    - #### setDatetimeStudyPhaseBegan

          public void setDatetimeStudyPhaseBegan(java.lang.String strTime)

      Set the Date time Study Phase Began. This field contains the date the patient began this phase interval. The time is optional.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDatetimeStudyPhaseBegan

          public void setDatetimeStudyPhaseBegan(DTM objdatetimeStudyPhaseBegan)

      Set the Date time Study Phase Began. This field contains the date the patient began this phase interval. The time is optional.
      Parameters:
        `objdatetimeStudyPhaseBegan` - Object of Date time Study Phase Began.

    - #### setDatetimeStudyPhaseEnded

          public void setDatetimeStudyPhaseEnded(java.lang.String strTime)

      Set the Date time Study Phase Ended. This field contains the date the patient ended this phase interval.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDatetimeStudyPhaseEnded

          public void setDatetimeStudyPhaseEnded(DTM objdatetimeStudyPhaseEnded)

      Set the Date time Study Phase Ended. This field contains the date the patient ended this phase interval.
      Parameters:
        `objdatetimeStudyPhaseEnded` - Object of Date time Study Phase Ended.

    - #### setStudyPhaseEvaluability

          public void setStudyPhaseEvaluability(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Study Phase Evaluability. This field contains the disposition of the patient's data for this phase interval for quality control and data analysis purposes.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStudyPhaseEvaluability

          public void setStudyPhaseEvaluability(CWE objstudyPhaseEvaluability)

      Set the Study Phase Evaluability. This field contains the disposition of the patient's data for this phase interval for quality control and data analysis purposes.
      Parameters:
        `objstudyPhaseEvaluability` - Object of Study Phase Evaluability.

    - #### setStudyPhaseIdentifier

          public void setStudyPhaseIdentifier(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Study Phase Identifier. This field identify the phase of the study that a patient has entered.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStudyPhaseIdentifier

          public void setStudyPhaseIdentifier(CWE objstudyPhaseIdentifier)

      Set the Study Phase Identifier. This field identify the phase of the study that a patient has entered.
      Parameters:
        `objstudyPhaseIdentifier` - Object of Study Phase Identifier.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validates fails.